unit Unit1;


interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, Grep;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    btnCheck: TBitBtn;
    btnSubst: TBitBtn;
    Label3: TLabel;
    Label4: TLabel;
    cbRegExp: TComboBox;
    btnClose: TBitBtn;
    cbString: TComboBox;
    Panel1: TPanel;
    lblRESULT: TLabel;
    cbSubExpr: TComboBox;
    txtSubresult: TEdit;
    Grep: TGrep;
    procedure btnCheckClick(Sender: TObject);
    procedure btnSubstClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure cbStringChange(Sender: TObject);
    procedure cbRegExpChange(Sender: TObject);
    procedure FormPaint(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses regexp;

{$R *.DFM}


procedure TForm1.btnCheckClick(Sender: TObject);
begin
  if Grep.RegExp <> cbRegExp.text then Grep.RegExp := cbRegExp.text;
  if Grep.Text <> cbString.Text then Grep.Text := cbString.Text;
  btnSubst.Enabled := Grep.Grep;
  lblResult.Caption := Grep[0].Text;
//showmessage(Format('%10s %02d %02d' + #13, [re[0].Text, re[0].StartP, re[0].EndP]) +
//            Format('%10s %02d %02d' + #13, [re[1].Text, re[1].StartP, re[1].EndP]) +
//            Format('%10s %02d %02d' + #13, [re[2].Text, re[2].StartP, re[2].EndP]) +
//            Format('%10s %02d %02d' + #13, [re[3].Text, re[3].StartP, re[3].EndP]) +
//            Format('%10s %02d %02d'      , [re[4].Text, re[4].StartP, re[4].EndP]));
end;

procedure TForm1.btnSubstClick(Sender: TObject);
begin
  txtSubResult.Text := Grep.Subst(cbSubExpr.Text);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  cbRegExp.Items.Add(cTCPAddr);
  cbRegExp.Items.Add(cMailAddr);
  cbRegExp.Items.Add(cURL);
  cbRegExp.Text := cMailAddr;

  with  Grep do begin
    RegExp := cbRegExp.text;
    Text := cbString.Text;
  end;

end;

procedure TForm1.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.cbStringChange(Sender: TObject);
begin
  if lblRESULT.Caption <> '' then lblRESULT.Caption := '';
end;

procedure TForm1.cbRegExpChange(Sender: TObject);
begin
  if lblRESULT.Caption <> '' then lblRESULT.Caption := '';
end;

procedure TForm1.FormPaint(Sender: TObject);
(*
var
  i, c: integer;
*)
begin
(*
  with Canvas do begin
     { imposta le modalit di disegna del canvas }
     pen.Style := psSolid;
     pen.Mode := pmCopy;
     pen.Width := 1;
     brush.Style := bsClear;
     for i := 0 to clientheight+50 do { cicla per tutte le linee del canvas }
       begin
         c := (255*i) div (clientheight + 50); { calcola la sfumatura del colore da usare }
         pen.Color:= Rgb(255 - byte(c), 255 - byte(c), 255 - byte(c)); { assegna il colore calcolato alla penna }
         MoveTo(0,i); { si muove all'inizio della riga }
         LineTo(clientWidth,i-50); { disegna la riga del colore calcolato }
       end;
   end;
*)
end;

end.
